#ifndef PARKING_F_H
#define PARKING_F_H
#include <QSqlQuery>
#include <QSqlQueryModel>
#include <QDialog>

namespace Ui {
class parking_f;
}

class parking_f : public QDialog
{
    Q_OBJECT

public:
    explicit parking_f(QWidget *parent = 0);
    ~parking_f();
    parking_f();
    parking_f(int,int,int);
    int get_numero();
    int get_etat();
    int get_id();
    bool ajouter();
    QSqlQueryModel * afficher();
    QSqlQueryModel * trier();
    bool supprimer(int);
    bool modifier(int,int,int);

private:
    int id,numero,etat;
    Ui::parking_f *ui;
};

#endif // PARKING_F_H
